VisualEditor: Cannot include the same existing reference after adding it once in an article
Closed, ResolvedPublic

Description

Steps to reproduce:

1.Open a page with VE which has 4 citations
2.Open Cite>Re-use
3.Select the first reference to re-use
4.Now again open the use existing reference dialog and observe that the last reference that you added is selected
5.Try to add it in the article

Observed Result:

It does not get added, if you select some other reference and then try to add the previous one , it will work

Environment:Betalabs, test2


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=68869

bzimport set Reference to bz68582.
Ryasmeen created this task.Via LegacyJul 25 2014, 6:13 PM
Catrope added a comment.Via ConduitJul 30 2014, 6:56 PM

Sounds like an OptionWidget/SelectWidget thing? Clear the selection when reopening the dialog?

Jdforrester-WMF added a comment.Via ConduitJul 30 2014, 9:20 PM

Is this just because the reference is selected?

gerritbot added a comment.Via ConduitJul 30 2014, 9:42 PM

Change 150708 had a related patch set uploaded by Alex Monk:
Unselect currently selected item in re-use citation dialog when reopening

https://gerrit.wikimedia.org/r/150708

gerritbot added a comment.Via ConduitJul 31 2014, 12:40 AM

Change 150708 merged by jenkins-bot:
Unselect currently selected item in re-use citation dialog when reopening

https://gerrit.wikimedia.org/r/150708

Ryasmeen added a comment.Via ConduitAug 1 2014, 9:48 PM
  • Bug 69027 has been marked as a duplicate of this bug. ***
Ryasmeen added a comment.Via ConduitAug 4 2014, 10:32 PM

Verified the fix in test2

Ryasmeen added a comment.Via ConduitAug 14 2014, 8:10 PM

Verified the fix in production

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.